"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const Vue = require("vue");
const props = require("../utils/props.js");
const create = require("../utils/create.js");
const [name, bem] = create.createNamespace("divider");
const dividerProps = {
  dashed: Boolean,
  hairline: props.truthProp,
  vertical: Boolean,
  contentPosition: props.makeStringProp("center")
};
var stdin_default = Vue.defineComponent({
  name,
  props: dividerProps,
  setup(props2, {
    slots
  }) {
    return () => {
      var _a;
      return Vue.createVNode("div", {
        "role": "separator",
        "class": bem({
          dashed: props2.dashed,
          hairline: props2.hairline,
          vertical: props2.vertical,
          [`content-${props2.contentPosition}`]: !!slots.default && !props2.vertical
        })
      }, [!props2.vertical && ((_a = slots.default) == null ? void 0 : _a.call(slots))]);
    };
  }
});
exports.default = stdin_default;
exports.dividerProps = dividerProps;
